Subject: Re: color.diff.whitespace unused on removed lines

From: Sandro Santilli <[email-masked]>
Date: Tue, 4 Oct 2016 17:35:23 +0200

On Tue, Oct 04, 2016 at 11:29:55AM -0400, Jeff King wrote:
> On Tue, Oct 04, 2016 at 10:14:29AM +0200, Sandro Santilli wrote:
> 
> > The color.diff.whitespace configuration is not used on
> > removed lines, but only on added lines.
> 
> Right. The original purpose was to warn you when you were introducing
> whitespace breakages. Getting rid of other people's whitespace breakages
> is OK.
> 
> We later did b8767f7 (diff.c: --ws-error-highlight=<kind> option,
> 2015-05-26) to let you see them on other lines, though. I think that
> would do what you want.

Thanks, it does do what I want.
Any chance to specify it in the config file that I want it
always to behave in a certain way ?

--strk;